ONVIF::Device::Types::PTZPresetTourPresetDetailOptions(3pm)

NAME
ONVIF::Device::Types::PTZPresetTourPresetDetailOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPresetTourPresetDetailOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PresetToken

•   Home

•   PanTiltPositionSpace

•   ZoomPositionSpace

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::PTZPresetTourPresetDetailOptions
   PresetToken => $some_value, # ReferenceToken
   Home =>  $some_value, # boolean
   PanTiltPositionSpace =>  { # ONVIF::Device::Types::Space2DDescription
     URI =>  $some_value, # anyURI
     XRange =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     YRange =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
   ZoomPositionSpace =>  { # ONVIF::Device::Types::Space1DDescription
     URI =>  $some_value, # anyURI
     XRange =>  { # ONVIF::Device::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
   Extension =>  { # ONVIF::Device::Types::PTZPresetTourPresetDetailOptionsExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL